Name:          z3
Version:       4.8.1
Release:       1mamba
Summary:       A theorem prover from Microsoft Research
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/Z3Prover
## GITSOURCE https://github.com/Z3Prover/z3.git z3-4.5.0
Source:        https://github.com/Z3Prover/z3.git/master/z3-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libgomp-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Z3 is a theorem prover from Microsoft Research.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q
#-D -T
#:<< _EOF
python contrib/cmake/bootstrap.py create

%build
#:<< _EOF
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/z3

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libz3.so.*
%doc LICENSE.txt

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/z3*.h
%dir %{_libdir}/cmake/z3
%{_libdir}/libz3.so
%{_libdir}/cmake/z3/*.cmake
%doc README-CMake.md README.md

%changelog
* Sun Nov 11 2018 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic version update by autodist

* Mon Aug 13 2018 Automatic Build System <autodist@mambasoft.it> 4.7.1-1mamba
- automatic version update by autodist

* Tue Apr 24 2018 Automatic Build System <autodist@mambasoft.it> 4.6.0-1mamba
- automatic version update by autodist

* Tue Nov 28 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5.0.20171128git-1mamba
- update to 4.5.0.20171128git

* Tue Nov 28 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5.0-1mamba
- package created using the webbuild interface
